/************************CASP_COPYRIGHT**********************************
** Copyright (c) AadhunikLabs. All rights reserved.
** This file is part of CASP.
** Licensees holding valid licenses may use this file in accordance
** with the license agreement provided with the software.
*************************************************************************/
#include "sim_helper.h"
#include "Servo.h"
//
Servo::Servo()
{
    m_pin = m_min = m_max = 0;
}
Servo::~Servo()
{
}
void Servo::attach(int pin, int min, int max, int period)
{
    m_pin = pin;
    m_min = min;
    m_max = max;
    m_pulse_factor = SIM_PWM_MAX_VAL/(float)period;
    //set period
    analogWriteFreq(1000000/period, pin);
}
void Servo::write(float angle)
{
    unsigned int period = (unsigned int)MapRange(angle, m_max, m_min, 180, 0);
    writeMicroseconds(period);
}
void Servo::writeMicroseconds(unsigned int micro_sec)
{
    //assumed limits are already checked
    analogWrite(m_pin, (int)(micro_sec*m_pulse_factor));
}
