/************************CASP_COPYRIGHT**********************************
** Copyright (c) AadhunikLabs. All rights reserved.
** This file is part of CASP.
** Licensees holding valid licenses may use this file in accordance
** with the license agreement provided with the software.
*************************************************************************/
#include "casp_lib.h"
#include "Arduino.h"
#include "simcode_sketch.h"
#include "simcode.h"

unsigned long long g_casp_micro_tick_counter, g_casp_milli_tick_counter;
unsigned long long g_casp_micro_prev_tick, g_casp_milli_prev_tick;

void pinCore(unsigned char pin, unsigned char mode, unsigned char core_idx)
{
}

void analogReadResolution(int res)
{
}

void analogWriteResolution(int res)
{
    if(res < 1) res = 1;
    if(res > 16) res = 16;
    analogWrite_init(res);
}

void analogReadResolutionPin(int res, unsigned char pin)
{
}

void analogWriteResolutionPin(int res, unsigned char pin)
{
    if(res < 1) res = 1;
    if(res > 16) res = 16;
    analogWriteRange((1 << res) - 1, pin);
    analogWriteFreq(clock_get_hz(clk_sys)/(1 << res), pin);
}

#if (RUN_FUNC_COUNT > 1)
extern void setup1()
{
    CASP_PRINT("\nIn RP2040 setup1() function");
}
extern void loop1()
{
    if(g_run_para.user_paused)
        return;
#ifdef _SIM_REAL_TIME
    g_run_para.thread_sync[1] = 0;//dont shift this down
#endif
#if (SIM_TARGETHW_RUN_DELAY > 0)
    delay(SIM_TARGETHW_RUN_DELAY);
#endif
    //g_rootsig_obj.Run1(&g_run_para);
    //execute all functions above this core index
    for(int i=1; i<RUN_FUNC_COUNT; ++i)
        (g_rootsig_obj.*g_rootsig_obj.PtrToRun[i])(&g_run_para);
}
#endif //RUN_FUNC_COUNT

